Leap 15 core dumps on my accounting software

Hi.
Upgrading from Leap 42.3 to Leap 15 I now get a core dump from my accounting software in libxcb.so.1.1.0.

kernel: [85319.480010] traps: quasar[26713] general protection ip:f72bbcd1 sp:ff9478d8 error:0 in libxcb.so.1.1.0

Leap 42.3 has no problem with libxcb.so.1.1.0 although I notice the files are not the same.
I can’t change the accounting software and am considering putting in a second boot drive for 42.3 just to keep running the software after upgrading to Leap 15.0.

Is it possible it is something else other than just a change to libxcb.so.1.1.0 from 42.3 to 15.0
Steve

It is certainly true that a library incompatibility can cause the kind of error you are seeing.

It is very difficult to know whether there would be other errors if you got past that point.

You could perhaps consider running 42.3 in a virtual machine, and use that for the accounting software.

A VM is a good idea, can you recommend a VM that runs nicely under Leap 15 for this.

I’m using KVM, mainly for testing purposes. I installed that with Yast Virtualization. But some folk prefer “virtualbox”, which you can install with Yast Software Management. Either of those should be fine for running 42.3.

Thanks for your help, I have the accounting software running in Leap 42.3 in KVM and trying to debug in Virtualbox in Leap 15.